if(TFEL_DIR)
  set(TFEL_MODULE_PATH ${TFEL_DIR})
else(TFEL_DIR)
  if(TFELHOME)
    set(TFEL_MODULE_PATH ${TFELHOME})
  else(TFELHOME)
    if(DEFINED ENV{TFELHOME})
	  set(TFEL_MODULE_PATH "$ENV{TFELHOME}")      
    endif(DEFINED ENV{TFELHOME})
  endif(TFELHOME)
endif(TFEL_DIR)

set(TFEL_CXX_STANDARD                       "20")
set(TFEL_COMPILER_FLAGS                     "")
set(TFEL_COMPILER_CXXFLAGS                  ";-DTFEL_HAVE_NORETURN_ATTRIBUTE")
set(TFEL_COMPILER_WARNINGS                  "-Wno-unused-macros;-Wno-weak-vtables;-Wno-missing-declarations;-Wno-sign-compare;-Wno-covered-switch-default;-Wno-covered-switch-default;-Wno-switch-enum;-Wsuggest-override;-Wint-in-bool-context;-Wregister;-Wmisleading-indentation;-Wnull-dereference;-Wtautological-compare;-Wshift-overflow;-Wshift-negative-value;-Wsizeof-array-argument;-Wlogical-not-parentheses;-Wswitch-bool;-Wsequence-point;-Wignored-qualifiers;-Wold-style-cast;-Wmissing-include-dirs;-Winit-self;-Wdouble-promotion;-Wno-conversion;-Wreorder;-Wundef;-Wunknown-pragmas;-Wredundant-decls;-Wpacked;-Wno-deprecated-declarations;-Wno-multichar;-Wmissing-format-attribute;-Wno-endif-labels;-Wfloat-equal;-Wreturn-type;-Woverloaded-virtual;-Wnon-virtual-dtor;-Wctor-dtor-privacy;-Wwrite-strings;-Wcast-align;-Wcast-qual;-Wpointer-arith;-Wshadow;-W;-Wall;-Wno-c++98-compat;-Wno-inconsistent-missing-destructor-override;-Wmicrosoft;-Wcomma;-Wno-missing-variable-declarations;-Winfinite-recursion;-Wmove;-Wrange-loop-analysis;-Wno-unsafe-buffer-usage;-Wno-missing-braces;-Wno-global-constructors;-Wno-exit-time-destructors;-Wno-documentation-unknown-command;-Wno-documentation;-Wno-padded;-Wno-c++98-compat-pedantic;-Weverything;")
set(TFEL_OPTIMISATION_FLAGS0                "")
set(TFEL_OPTIMISATION_FLAGS                 "-O2;-DNDEBUG;-DTFEL_NO_RUNTIME_CHECK_BOUNDS;")
set(TFEL_OPTIMISATION_FLAGS2                "-ffast-math;")
set(TFEL_CMAKE_C_FLAGS                      ";")
set(TFEL_CMAKE_C_FLAGS_DEBUG                "")
set(TFEL_CMAKE_C_FLAGS_RELEASE              "")
set(TFEL_CMAKE_C_FLAGS_COVERAGE             "")
set(TFEL_CMAKE_C_FLAGS_PROFILING            "")
set(TFEL_CMAKE_CXX_FLAGS                    ";-Wno-unused-macros;-Wno-weak-vtables;-Wno-missing-declarations;-Wno-sign-compare;-Wno-covered-switch-default;-Wno-covered-switch-default;-Wno-switch-enum;-Wsuggest-override;-Wint-in-bool-context;-Wregister;-Wmisleading-indentation;-Wnull-dereference;-Wtautological-compare;-Wshift-overflow;-Wshift-negative-value;-Wsizeof-array-argument;-Wlogical-not-parentheses;-Wswitch-bool;-Wsequence-point;-Wignored-qualifiers;-Wold-style-cast;-Wmissing-include-dirs;-Winit-self;-Wdouble-promotion;-Wno-conversion;-Wreorder;-Wundef;-Wunknown-pragmas;-Wredundant-decls;-Wpacked;-Wno-deprecated-declarations;-Wno-multichar;-Wmissing-format-attribute;-Wno-endif-labels;-Wfloat-equal;-Wreturn-type;-Woverloaded-virtual;-Wnon-virtual-dtor;-Wctor-dtor-privacy;-Wwrite-strings;-Wcast-align;-Wcast-qual;-Wpointer-arith;-Wshadow;-W;-Wall;-Wno-c++98-compat;-Wno-inconsistent-missing-destructor-override;-Wmicrosoft;-Wcomma;-Wno-missing-variable-declarations;-Winfinite-recursion;-Wmove;-Wrange-loop-analysis;-Wno-unsafe-buffer-usage;-Wno-missing-braces;-Wno-global-constructors;-Wno-exit-time-destructors;-Wno-documentation-unknown-command;-Wno-documentation;-Wno-padded;-Wno-c++98-compat-pedantic;-Weverything;;;;-DTFEL_HAVE_NORETURN_ATTRIBUTE")
set(TFEL_CMAKE_CXX_FLAGS_DEBUG              "")
set(TFEL_CMAKE_CXX_FLAGS_RELEASE            "-O2;-DNDEBUG;-DTFEL_NO_RUNTIME_CHECK_BOUNDS;;")
set(TFEL_CMAKE_CXX_FLAGS_COVERAGE           "")
set(TFEL_CMAKE_CXX_FLAGS_PROFILING          "")
set(TFEL_CMAKE_EXE_LINKER_FLAGS_COVERAGE    "")
set(TFEL_CMAKE_MODULE_LINKER_FLAGS_COVERAGE "")
set(TFEL_CMAKE_SHARED_LINKER_FLAGS_COVERAGE "")
